device_type: amberwing_rep1
job_name: amberwing_rep_ubuntu
priority: medium
visibility: public

metadata:
  docs-filename: amberwing_rep_ubuntu
timeouts:
  job: 
    minutes: 300
  action:
    minutes: 200
  connection:
    minutes: 100
actions:
- deploy:
    to: tftp
    kernel:
      url: http://swlab004/ubuntu/iso1018-0/install/netboot/ubuntu-installer/arm64/linux
      type: zimage
    ramdisk:
      url: http://swlab004/ubuntu/iso1018-0/install/netboot/ubuntu-installer/arm64/initrd.gz
      compression: gz
      install_overlay: false
    preseed:
      url: http://swlab004/ubuntu/preseed.cfg
    os: ubuntu
    timeout:
      minutes: 5
    
- boot:
    timeout:
      minutes: 200
    connection: serial
    method: grub
    commands: ubuntu_installed
    auto_login:
      login_prompt: "login:"
      username: root
      password_prompt: "Password:"
      password: root
    prompts:
    - 'root@localhost:~#' 
    transfer_overlay:
      download_command: ifconfig ; sleep 10 ; wget -S --progress=dot:giga
      unpack_command: tar -C / -xaf
    parameters:
      shutdown-message: "reboot: Restarting system"

- test:
    timeout:
      minutes: 5
    definitions:
    - repository: ssh://1680141@10.5.20.24:29418/sw_test/test-definitions
      from: git
      path: common/dd-speed-test.yaml
      name: dd-speed-test
 
    
